Subject: Re: [PATCH v2 0/3] net: phy: switch to using fwnode_gpiod_get_index

From: Dmitry Torokhov <[email-masked]>
Date: Tue, 5 Nov 2019 10:20:22 -0800

On Tue, Nov 05, 2019 at 10:04:23AM -0800, David Miller wrote:
> From: Dmitry Torokhov <[email-masked]>
> Date: Tue, 5 Nov 2019 09:27:51 -0800
> 
> > On Mon, Nov 4, 2019 at 4:55 PM Russell King - ARM Linux admin
> > <[email-masked]> wrote:
> >>
> >> On Mon, Nov 04, 2019 at 04:40:16PM -0800, Dmitry Torokhov wrote:
> >> > Hi Linus,
> >> >
> >> > On Mon, Oct 14, 2019 at 10:40:19AM -0700, Dmitry Torokhov wrote:
> >> > > This series switches phy drivers form using fwnode_get_named_gpiod() and
> >> > > gpiod_get_from_of_node() that are scheduled to be removed in favor
> >> > > of fwnode_gpiod_get_index() that behaves more like standard
> >> > > gpiod_get_index() and will potentially handle secondary software
> >> > > nodes in cases we need to augment platform firmware.
> >> > >
> >> > > Linus, as David would prefer not to pull in the immutable branch but
> >> > > rather route the patches through the tree that has the new API, could
> >> > > you please take them with his ACKs?
> >> >
> >> > Gentle ping on the series...
> >>
> >> Given that kbuild found a build issue with patch 1, aren't we waiting
> >> for you to produce an updated patch 1?
> > 
> > No: kbuild is unable to parse instructions such as "please pull an
> > immutable branch" before applying the series. Linus' tree already has
> > needed changes.
> 
> This is targetting the networking tree so it doesn't matter what is in
> Linus's tree, it has to build against MY tree and that's what Kbuild
> tests against.
> 
> Resubmit if it builds against my tree, and no sooner.

I am confused. You were OK with merging through Linus' Walleij tree, and
you acked all 3 patches earlier...

https://lore.kernel.org/netdev/[email-masked]/

"So submit this into the tree that will have the dependencies."

Thanks.

-- 
Dmitry